# -*- encoding: utf-8 -*-
# stub: hipchat 1.5.2 ruby lib

Gem::Specification.new do |s|
  s.name = "hipchat"
  s.version = "1.5.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["HipChat/Atlassian"]
  s.date = "2015-07-20"
  s.description = "Ruby library to interact with HipChat"
  s.email = ["support@hipchat.com"]
  s.files = [".coveralls.yml", ".document", ".gitignore", ".ruby-gemset", ".ruby-version", ".travis.yml", "Gemfile", "LICENSE", "README.textile", "Rakefile", "hipchat.gemspec", "lib/hipchat.rb", "lib/hipchat/api_version.rb", "lib/hipchat/capistrano.rb", "lib/hipchat/capistrano/tasks/hipchat.rake", "lib/hipchat/capistrano2.rb", "lib/hipchat/chef.rb", "lib/hipchat/client.rb", "lib/hipchat/errors.rb", "lib/hipchat/file_helper.rb", "lib/hipchat/rails3_tasks.rb", "lib/hipchat/railtie.rb", "lib/hipchat/room.rb", "lib/hipchat/user.rb", "lib/hipchat/version.rb", "spec/example/history.json", "spec/hipchat_api_v1_spec.rb", "spec/hipchat_api_v2_spec.rb", "spec/hipchat_spec.rb", "spec/spec.opts", "spec/spec_helper.rb", "spec/support/shared_contexts_for_hipchat.rb"]
  s.homepage = "https://github.com/hipchat/hipchat-rb"
  s.licenses = ["MIT"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubygems_version = "2.2.2"
  s.summary = "Ruby library to interact with HipChat"
  s.test_files = ["spec/example/history.json", "spec/hipchat_api_v1_spec.rb", "spec/hipchat_api_v2_spec.rb", "spec/hipchat_spec.rb", "spec/spec.opts", "spec/spec_helper.rb", "spec/support/shared_contexts_for_hipchat.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<httparty>, [">= 0"])
      s.add_runtime_dependency(%q<mimemagic>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 3.0"])
      s.add_development_dependency(%q<rr>, [">= 0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.3"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<webmock>, [">= 0"])
      s.add_development_dependency(%q<rdoc>, ["> 2.4.2"])
      s.add_development_dependency(%q<coveralls>, [">= 0"])
    else
      s.add_dependency(%q<httparty>, [">= 0"])
      s.add_dependency(%q<mimemagic>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 3.0"])
      s.add_dependency(%q<rr>, [">= 0"])
      s.add_dependency(%q<bundler>, ["~> 1.3"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<webmock>, [">= 0"])
      s.add_dependency(%q<rdoc>, ["> 2.4.2"])
      s.add_dependency(%q<coveralls>, [">= 0"])
    end
  else
    s.add_dependency(%q<httparty>, [">= 0"])
    s.add_dependency(%q<mimemagic>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 3.0"])
    s.add_dependency(%q<rr>, [">= 0"])
    s.add_dependency(%q<bundler>, ["~> 1.3"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<webmock>, [">= 0"])
    s.add_dependency(%q<rdoc>, ["> 2.4.2"])
    s.add_dependency(%q<coveralls>, [">= 0"])
  end
end
